Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::view_adaptor< Derived, BaseRng, Cardinality > Struct Template Reference
Views
Inheritance diagram for ranges::view_adaptor< Derived, BaseRng, Cardinality >:

## Public Member Functions
constexpr base_range_t const & | base () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr base_range_t & | base () noexcept
view_adaptor & | operator= (view_adaptor &&)=default
view_adaptor & | operator= (view_adaptor const &)=default
constexpr | view_adaptor (BaseRng &&rng)
| view_adaptor (view_adaptor &&)=default
| view_adaptor (view_adaptor const &)=default